Tax Schedule

Tax schedules determine how NetSuite calculates taxes for items in each nexus.

For most countries, goods and services are charged at the same rate across the country, so there is no need for tax schedules to be set up. For the US and Canada, some goods and services aren't taxable in certain states or provinces, so in this case a tax schedule is useful.

For more information about working with the tax schedule record, see Creating Tax Schedules.

The REST API Browser includes information about the field names and field types of the tax schedule record and about the HTTP methods, request parameters, and operations available to this record.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for the tax schedule REST record is taxSchedule.

Subrecord

This record has the taxScheduleUsNexuses and taxScheduleNexuses subrecords.

Prerequisites

The Advanced Taxes feature must be enabled.

Actions

The tax schedule record has the following actions through REST web services:

  • Save new

  • Save

Code Samples

This code sample shows how to post the tax schedule record:

            POST /services/rest/record/v1/taxschedule 
{
    "name": "TaxScheduleRestTest_name",

    "description": "TaxScheduleRestTest_description"

} 

          

This code sample shows how to get the tax schedule record:

            GET /services/rest/record/v1/taxschedule/{{taxscheduleId}} 

          

This code sample shows how to update the tax schedule record:

            PATCH /services/rest/record/v1/taxschedule/{{taxscheduleId}}
{
    "name": "TaxScheduleRestTest_name_edit",

    "description": "TaxScheduleRestTest_description_edit",

    "nexuses": {

       "items": [

          {

             "nexus": {

                "id": "6"

             },

             "purchaseTaxCode": {

                "id": "51"

             },

             "salesTaxCode": {

                "id": "52"

             }

          },

          {

             "nexus": {

                "id": "7"

             },

             "purchaseTaxCode": {

                "id": "60"

             },

             "salesTaxCode": {

                "id": "61"

             }

          }

       ]

    },

    "usNexuses": {

       "items": [

          {

             "nexus": {

                "id": "1"

             },

             "taxable": true

          },

          {

             "nexus": {

                "id": "5"

             },

             "taxable": false

          },

          {

             "nexus": {

                "id": "17"

             },

             "taxable": true

          }

       ]

    }

} 

          

This code sample shows how to delete the tax schedule record:

            DELETE /services/rest/record/v1/taxschedule/{{taxscheduleId}} 

          

Related Topics

General Notices